APCIterator
APCIterator::current
APCIterator
PHP Manual

# APCIterator::__construct

(PECL apc >= 3.1.1)

APCIterator::__construct — Constructs an APCIterator iterator object

### Description

APCIterator::__construct ( string `$cache` [, mixed `$search` = null [, int `$format` [, int `$chunk_size` = 100 [, int `$list` ]]]] )

Constructs an APCIterator object .

### Parameters

`cache`

  The cache type, which will be user or file.

`search`

  A PCRE regular expression that matches against APC key names, either as a string for a single regular expression, or as an array of regular expressions. Or, optionally pass in `NULL` to skip the search.

`format`

  The desired format, as configured with one ore more of the APC_ITER_* constants.

`chunk_size`

  The chunk size. Must be a value greater than 0. The default value is 100.

`list`

  The type to list. Either pass in `APC_LIST_ACTIVE` or `APC_LIST_INACTIVE`.

### Return Values

An APCIterator object on success, or `NULL` on failure.

### See Also

- apc_exists() - Checks if APC key exists
- apc_cache_info() - Retrieves cached information from APC's data store

APCIterator
APCIterator::current
APCIterator
PHP Manual